NodeOptInfo Struct Reference

## Data Fields

MinMaxLen | len
OptAncInfo | anc
OptExactInfo | exb
OptExactInfo | exm
OptExactInfo | expr
OptMapInfo | map

## Detailed Description

Definition at line 4004 of file regcomp.c.

## Field Documentation

OptAncInfo NodeOptInfo::anc

Definition at line 4007 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_optimize_info_from_tree().

OptExactInfo NodeOptInfo::exb

Definition at line 4008 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), set_bound_node_opt_info(), and set_optimize_info_from_tree().

OptExactInfo NodeOptInfo::exm

Definition at line 4009 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_optimize_info_from_tree().

OptExactInfo NodeOptInfo::expr

Definition at line 4010 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_bound_node_opt_info().

MinMaxLen NodeOptInfo::len

Definition at line 4005 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_optimize_info_from_tree().

OptMapInfo NodeOptInfo::map

Definition at line 4012 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), set_bound_node_opt_info(), and set_optimize_info_from_tree().

The documentation for this struct was generated from the following file:

- regcomp.c